/**
 * 帐户参数配置
 *
 * 用户登录之后在开发者控制台【首页】寻找以下配置参数：
 * $accountSid: 帐号ID，对应开发者帐号下的 ACCOUNT SID
 * $authToken: 授权令牌，对应开发者帐号下的 AUTH TOKEN
 */
const accountSid = '200f67c6b14240ffb1f1f**********';
const authToken  = 'e44e65e917b24aca96337**********';

// 创建SDK实例
const VoiceReportClient = require('./VoiceReportSDK')
let voiceReportClient = new VoiceReportClient({accountSid, authToken})

//获取语音状态报告
voiceReportClient.getVoiceReport('', getCallback);

// 返回结果处理
function getCallback(str){
    var obj = JSON.parse(str);
    if (obj.hasOwnProperty('code') && obj.code === 'DH:0000') {
        console.log("语音状态报告获取成功，返回结果为：\n" + str);

        //TODO 成功处理

    } else {
        console.log("语音状态报告获取失败，返回结果为：\n" + str);

        //TODO 错误处理

    }
}